<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.73
Name: [2] Treść zaleceń pielęgniarskich przy wypisie ze szpitala
Description: Szablon struktury CDA dla treści zaleceń pielęgniarskich przy wypisie ze szpitala
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000">
   <title>[2] Treść zaleceń pielęgniarskich przy wypisie ze szpitala</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.73
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]
Item: (plCdaNursingDischargePrescriptionsNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]"
         id="tmp-r-2a860354-c437-4dad-a918-c3765c207a03">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73'])&gt;=1 ">(plCdaNursingDischargePrescriptionsNoteComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73'])&lt;=1">(plCdaNursingDischargePrescriptionsNoteComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.73
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']
Item: (plCdaNursingDischargePrescriptionsNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']"
         id="tmp-r-fdd0665f-8484-4b3a-819c-23d75b92e09d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaNursingDischargePrescriptionsNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="@contextConductionInd">(plCdaNursingDischargePrescriptionsNoteComponent): atrybut @contextConductionInd MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaNursingDischargePrescriptionsNoteComponent): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="count(//(hl7:observation|hl7:substanceAdministration|hl7:supply|hl7:procedure|hl7:encounter|hl7:act|hl7:externalDocument)[not(ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55']) and not(ancestor::hl7:entryRelationship) and not(hl7:text/hl7:reference)])&gt;0">(plCdaNursingDischargePrescriptionsNoteComponent):  Element text dla danego wyrażenia klinicznego jest wymagany, ze wskazaniem referencji do odpowiedniego elementu section.text. </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.73'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.73']/@nullFlavor)">(plCdaNursingDischargePrescriptionsNoteComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.73'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.73'])&lt;=1">(plCdaNursingDischargePrescriptionsNoteComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.73'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']|hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaNursingDischargePrescriptionsNoteComponent): wybór (hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55'] lub hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaNursingDischargePrescriptionsNoteComponent): wybór (hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55'] lub hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="count(hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55'])&lt;=1">(plCdaNursingDischargePrescriptionsNoteComponent): element hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="count(hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')])&lt;=1">(plCdaNursingDischargePrescriptionsNoteComponent): element hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.73
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.73']
Item: (plCdaNursingDischargePrescriptionsNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.73']"
         id="tmp-r-305b830c-a175-40bf-8e1e-1f808c25b039">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingDischargePrescriptionsNoteComponent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.73'">(plCdaNursingDischargePrescriptionsNoteComponent): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.73'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaNursingDischargePrescriptionsNoteComponent): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.73
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']/hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']
Item: (plCdaNursingDischargePrescriptionsNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']/hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']"
         id="tmp-r-fd43c2b8-3366-4f4f-84e1-7f610cb80401">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(plCdaNursingDischargePrescriptionsNoteComponent): Wartość dla @classCode MUSI wynosić 'DOCBODY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaNursingDischargePrescriptionsNoteComponent): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="not(hl7:component[not(hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')])">(plCdaNursingDischargePrescriptionsNoteComponent):  Jeżeli w dokumencie znajduje się sekcja postaci binarnej dokumentu, to nie może występować sekcja innego typu. </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']]/@nullFlavor)">(plCdaNursingDischargePrescriptionsNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']])&lt;=1">(plCdaNursingDischargePrescriptionsNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.73
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']/hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']]
Item: (plCdaNursingDischargePrescriptionsNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']/hl7:structuredBody[hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaNursingDischargePrescriptionsNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.73
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]
Item: (plCdaNursingDischargePrescriptionsNoteComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]"
         id="tmp-r-ee811049-1b5d-4ed2-a457-fbf42134c2ef">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(plCdaNursingDischargePrescriptionsNoteComponent): Wartość dla @classCode MUSI wynosić 'DOCBODY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaNursingDischargePrescriptionsNoteComponent): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.50']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.50']]/@nullFlavor)">(plCdaNursingDischargePrescriptionsNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.50']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.50']])&lt;=1">(plCdaNursingDischargePrescriptionsNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.50']] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']])&lt;=1">(plCdaNursingDischargePrescriptionsNoteComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.73
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.50']]
Item: (plCdaNursingDischargePrescriptionsNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.50']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaNursingDischargePrescriptionsNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.73
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']]
Item: (plCdaNursingDischargePrescriptionsNoteComponent)
-->
   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.73']/hl7:structuredBody[not(hl7:component/hl7:section/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.55')]/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.73-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaNursingDischargePrescriptionsNoteComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
</pattern>
