<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.38
Name: [3] Sekcja zalecenia leku na recepcie farmaceutycznej
Description: Szablon struktury CDA dla sekcji zalecenia leku na recepcie farmaceutycznej
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000">
   <title>[3] Sekcja zalecenia leku na recepcie farmaceutycznej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.38
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]
Item: (plCdaPharmaceuticalDrugPrescriptionSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]"
         id="tmp-r-b3565824-2d1a-452c-868c-1abafdc9cb72">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38'])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.38
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']
Item: (plCdaPharmaceuticalDrugPrescriptionSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']"
         id="tmp-r-41beae82-d83a-411b-89ff-41074587d952">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaPharmaceuticalDrugPrescriptionSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaPharmaceuticalDrugPrescriptionSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.38'] | self::hl7:id | self::hl7:code[@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC' and @displayName='Prescriptions'] | self::hl7:title | self::hl7:text | self::hl7:entry | self::hl7:component)])">(plCdaPharmaceuticalDrugPrescriptionSection): We fragmencie dokumentu zgodnym z szablonem "[3] Sekcja zalecenia leku na recepcie farmaceutycznej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.38'])&gt;=1 ">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.38'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.38'])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.38'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:text występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']|hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.30'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaPharmaceuticalDrugPrescriptionSection): wybór (hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29'] lub hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.30']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29'])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.30'])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.30'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionSection): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.38
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.38']
Item: (plCdaPharmaceuticalDrugPrescriptionSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.38']"
         id="tmp-r-9373c0f2-b239-4876-a75c-6039f4bc121a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.38'">(plCdaPharmaceuticalDrugPrescriptionSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.38'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaPharmaceuticalDrugPrescriptionSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.38
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:id
Item: (plCdaPharmaceuticalDrugPrescriptionSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:id"
         id="tmp-r-8f0e01fa-5176-4394-af0a-90f475fafc61">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.38
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaPharmaceuticalDrugPrescriptionSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-1f1281bc-bfd2-4cea-970e-74ccbcb09528">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="@nullFlavor or (@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Prescriptions' and @codeSystemName='LOINC')">(plCdaPharmaceuticalDrugPrescriptionSection): Wartość elementu MUSI wynosić code '57828-6' codeSystem '2.16.840.1.113883.6.1' displayName='Prescriptions' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.38
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:title
Item: (plCdaPharmaceuticalDrugPrescriptionSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:title"
         id="tmp-r-5f657a8c-7dd1-4df6-bb3a-b7f05d06e0c5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.38
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:text
Item: (plCdaPharmaceuticalDrugPrescriptionSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:text"
         id="tmp-r-abcb2331-08f3-40f2-afd7-7ec30de88290">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.38
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']
Item: (plCdaPharmaceuticalDrugPrescriptionSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaPharmaceuticalDrugPrescriptionSection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.38
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.30']
Item: (plCdaPharmaceuticalDrugPrescriptionSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.30']">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaPharmaceuticalDrugPrescriptionSection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.38
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]
Item: (plCdaPharmaceuticalDrugPrescriptionSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.38']/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.5']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.38-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaPharmaceuticalDrugPrescriptionSection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
</pattern>
