<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.63
Name: [4] Referencja do pozycji recepty
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000">
   <title>[4] Referencja do pozycji recepty</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.63
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]
Item: (plCdaPrescriptionEntryReference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.63
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]
Item: (plCdaPrescriptionEntryReference)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]"
         id="tmp-r-f352d526-cdbd-40ca-932c-c9c7c6d99d04">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="string(@classCode)='SBADM'">(plCdaPrescriptionEntryReference): Wartość dla @classCode MUSI wynosić 'SBADM'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="string(@moodCode)='INT'">(plCdaPrescriptionEntryReference): Wartość dla @moodCode MUSI wynosić 'INT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.63'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.63']/@nullFlavor)">(plCdaPrescriptionEntryReference): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.63'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.63'])&lt;=1">(plCdaPrescriptionEntryReference): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.63'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11']/@nullFlavor)">(plCdaPrescriptionEntryReference): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'])&lt;=1">(plCdaPrescriptionEntryReference): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(plCdaPrescriptionEntryReference): element hl7:id jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaPrescriptionEntryReference): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')])&gt;=1 and not(hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]/@nullFlavor)">(plCdaPrescriptionEntryReference): element hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')])&lt;=1">(plCdaPrescriptionEntryReference): element hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:consumable)&gt;=1 ">(plCdaPrescriptionEntryReference): element hl7:consumable jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:consumable)&lt;=1">(plCdaPrescriptionEntryReference): element hl7:consumable występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78'])&lt;=1">(plCdaPrescriptionEntryReference): element hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:reference[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']])&gt;=1 ">(plCdaPrescriptionEntryReference): element hl7:reference[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:reference[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']])&lt;=1">(plCdaPrescriptionEntryReference): element hl7:reference[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.63
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.63']
Item: (plCdaPrescriptionEntryReference)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.63']"
         id="tmp-r-cda904ab-d9f7-4ddb-8c39-8d4abc35f578">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrescriptionEntryReference): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.63'">(plCdaPrescriptionEntryReference): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.63'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.63
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11']
Item: (plCdaPrescriptionEntryReference)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.11']"
         id="tmp-r-e1337c92-8da6-46b0-b701-870884bd7631">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrescriptionEntryReference): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.9.1.3.11'">(plCdaPrescriptionEntryReference): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.9.1.3.11'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.63
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:id
Item: (plCdaPrescriptionEntryReference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.63
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]
Item: (plCdaPrescriptionEntryReference)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]"
         id="tmp-r-dbd22397-dc02-4f1c-b0d5-83f4b5a35a04">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPrescriptionEntryReference): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="@nullFlavor or (@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')">(plCdaPrescriptionEntryReference): Wartość elementu MUSI wynosić code 'PREItem' codeSystem '1.3.6.1.4.1.19376.1.9.2.2'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.63
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:consumable
Item: (plCdaPrescriptionEntryReference)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:consumable"
         id="tmp-r-260cef13-3588-4fe6-b682-3c97a7b38aa8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 ">(plCdaPrescriptionEntryReference): element hl7:manufacturedProduct jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(plCdaPrescriptionEntryReference): element hl7:manufacturedProduct występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.63
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:consumable/hl7:manufacturedProduct
Item: (plCdaPrescriptionEntryReference)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-r-58a7555c-9197-444b-81c0-46633e7ec6ec">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 ">(plCdaPrescriptionEntryReference): element hl7:manufacturedMaterial jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(plCdaPrescriptionEntryReference): element hl7:manufacturedMaterial występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.63
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (plCdaPrescriptionEntryReference)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-r-9513fb3d-68ac-4021-ab5f-6b1804e21493">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="string(@nullFlavor)='NA'">(plCdaPrescriptionEntryReference): Wartość dla @nullFlavor MUSI wynosić 'NA'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.63
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']
Item: (plCdaPrescriptionEntryReference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.63
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:reference[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]
Item: (plCdaPrescriptionEntryReference)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.63']]/hl7:substanceAdministration[hl7:code[(@code='PREItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:reference[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.63-2018-06-30T000000.html"
              test="string(@typeCode)='REFR'">(plCdaPrescriptionEntryReference): Wartość dla @typeCode MUSI wynosić 'REFR'.</assert>
   </rule>
</pattern>
