<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.66
Name: [4] Pozycja realizacji recepty
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.66-2018-06-30T000000">
   <title>[4] Pozycja realizacji recepty</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.66
Context: *[hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem'][hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.66']]
Item: (plCdaDispenseItem)
-->

   <rule context="*[hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem'][hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.66']]"
         id="tmp-r-1e986ad8-728a-420e-9863-5482ca5fec22">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.66-2018-06-30T000000.html"
              test="count(hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem'])&lt;=1">(plCdaDispenseItem): element hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.66
Context: *[hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem'][hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.66']]/hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem']
Item: (plCdaDispenseItem)
-->

   <rule context="*[hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem'][hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.66']]/hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem']"
         id="tmp-r-f8fbdb9c-ccfb-43d4-8274-deafc17f66e5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.66-2018-06-30T000000.html"
              test="string(@typeCode)='REFR'">(plCdaDispenseItem): Wartość dla @typeCode MUSI wynosić 'REFR'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.66
Context: *[hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem'][hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.66']]/hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem']/hl7:supply[hl7:code[(@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]
Item: (plCdaDispenseItem)
-->

   <rule context="*[hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem'][hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.66']]/hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem']/hl7:supply[hl7:code[(@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]"
         id="tmp-r-9a5c3d0b-7d9d-42d4-8883-3c178787c98c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.66-2018-06-30T000000.html"
              test="string(@classCode)='SPLY'">(plCdaDispenseItem): Wartość dla @classCode MUSI wynosić 'SPLY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.66-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaDispenseItem): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.66-2018-06-30T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(plCdaDispenseItem): element hl7:id jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.66-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaDispenseItem): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.66-2018-06-30T000000.html"
              test="count(hl7:code[(@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')])&gt;=1 and not(hl7:code[(@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]/@nullFlavor)">(plCdaDispenseItem): element hl7:code[(@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.66-2018-06-30T000000.html"
              test="count(hl7:code[(@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')])&lt;=1">(plCdaDispenseItem): element hl7:code[(@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.66
Context: *[hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem'][hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.66']]/hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem']/hl7:supply[hl7:code[(@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:id
Item: (plCdaDispenseItem)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.66
Context: *[hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem'][hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.66']]/hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem']/hl7:supply[hl7:code[(@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:code[(@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]
Item: (plCdaDispenseItem)
-->

   <rule context="*[hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem'][hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.66']]/hl7:entryRelationship[hl7:supply/hl7:code/@code='DISItem']/hl7:supply[hl7:code[(@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]]/hl7:code[(@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')]"
         id="tmp-r-eacb6887-e64e-4507-8817-00c3052a8911">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.66-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDispenseItem): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.66-2018-06-30T000000.html"
              test="@nullFlavor or (@code='DISItem' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.2')">(plCdaDispenseItem): Wartość elementu MUSI wynosić code 'DISItem' codeSystem '1.3.6.1.4.1.19376.1.9.2.2'.</assert>
   </rule>
</pattern>
