<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.78
Name: [4] Autor pozycji recepty
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000">
   <title>[4] Autor pozycji recepty</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']
Item: (plCdaDrugPrescriptionBodyAuthor)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']"
         id="tmp-r-3b56670e-663d-40c1-a3c9-7e5c7bc141d3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.78'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.78']/@nullFlavor)">(plCdaDrugPrescriptionBodyAuthor): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.78'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.78'])&lt;=1">(plCdaDrugPrescriptionBodyAuthor): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.78'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:functionCode)&lt;=1">(plCdaDrugPrescriptionBodyAuthor): element hl7:functionCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:time)&gt;=1 ">(plCdaDrugPrescriptionBodyAuthor): element hl7:time jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaDrugPrescriptionBodyAuthor): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(plCdaDrugPrescriptionBodyAuthor): element hl7:assignedAuthor jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(plCdaDrugPrescriptionBodyAuthor): element hl7:assignedAuthor występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.78']
Item: (plCdaDrugPrescriptionBodyAuthor)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.78']"
         id="tmp-r-6e4cb8fb-25f5-4bb5-a228-69c63d61a1f0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.78'">(plCdaDrugPrescriptionBodyAuthor): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.78'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugPrescriptionBodyAuthor): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:functionCode
Item: (plCdaDrugPrescriptionBodyAuthor)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:functionCode"
         id="tmp-r-d7972ea5-e56e-410e-8257-5089249485a3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionBodyAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDrugPrescriptionBodyAuthor): Wartość elementu MUSI wynosić ParticipationFunction (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDrugPrescriptionBodyAuthor): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ParticipationFunction (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:time
Item: (plCdaDrugPrescriptionBodyAuthor)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:time"
         id="tmp-r-a4e6b678-3858-48ce-bc7c-c181b98c785f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionBodyAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor
Item: (plCdaDrugPrescriptionBodyAuthor)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor"
         id="tmp-r-2c964167-23db-45aa-a963-50c141efe5f7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(plCdaDrugPrescriptionBodyAuthor): Wartość dla @classCode MUSI wynosić 'ASSIGNED'.</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1']|hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2']|hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaDrugPrescriptionBodyAuthor): wybór (hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1'] lub hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2'] lub hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaDrugPrescriptionBodyAuthor): wybór (hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1'] lub hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2'] lub hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1'])&lt;=1">(plCdaDrugPrescriptionBodyAuthor): element hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2'])&lt;=1">(plCdaDrugPrescriptionBodyAuthor): element hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3'])&lt;=1">(plCdaDrugPrescriptionBodyAuthor): element hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaDrugPrescriptionBodyAuthor): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'])&lt;=1">(plCdaDrugPrescriptionBodyAuthor): element hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:representedOrganization)&gt;=1 ">(plCdaDrugPrescriptionBodyAuthor): element hl7:representedOrganization jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(plCdaDrugPrescriptionBodyAuthor): element hl7:representedOrganization występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1']
Item: (plCdaDrugPrescriptionBodyAuthor)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1']"
         id="tmp-r-8122f541-48e1-432d-beee-bf621f8e2a65">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionBodyAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.1.6.1'">(plCdaDrugPrescriptionBodyAuthor): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.1.6.1'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugPrescriptionBodyAuthor): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="@extension">(plCdaDrugPrescriptionBodyAuthor): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaDrugPrescriptionBodyAuthor): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2']
Item: (plCdaDrugPrescriptionBodyAuthor)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2']"
         id="tmp-r-a1dc82b5-5b0b-48d4-a06a-aa9a9e701237">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionBodyAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.1.6.2'">(plCdaDrugPrescriptionBodyAuthor): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.1.6.2'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugPrescriptionBodyAuthor): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="@extension">(plCdaDrugPrescriptionBodyAuthor): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaDrugPrescriptionBodyAuthor): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3']
Item: (plCdaDrugPrescriptionBodyAuthor)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3']"
         id="tmp-r-956113b5-485c-41be-89a0-ea0fe9bf8d6f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionBodyAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.1.6.3'">(plCdaDrugPrescriptionBodyAuthor): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.1.6.3'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugPrescriptionBodyAuthor): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="@extension">(plCdaDrugPrescriptionBodyAuthor): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaDrugPrescriptionBodyAuthor): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:code
Item: (plCdaDrugPrescriptionBodyAuthor)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:code"
         id="tmp-r-abcf901d-819f-4d7f-8ee7-288ff5435ab5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionBodyAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(plCdaDrugPrescriptionBodyAuthor): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.111'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:telecom
Item: (plCdaDrugPrescriptionBodyAuthor)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:telecom"
         id="tmp-r-ad332f90-5341-4701-8b06-2bc715f7a10c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionBodyAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']
Item: (plCdaDrugPrescriptionBodyAuthor)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:representedOrganization
Item: (plCdaDrugPrescriptionBodyAuthor)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-65987285-a0de-4659-bb51-6cda7d658f58">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.2.2.1'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.3.4424.2.2.1']/@nullFlavor)">(plCdaDrugPrescriptionBodyAuthor): element hl7:id[@root='2.16.840.1.113883.3.4424.2.2.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.2.2.1'])&lt;=1">(plCdaDrugPrescriptionBodyAuthor): element hl7:id[@root='2.16.840.1.113883.3.4424.2.2.1'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.78
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.3.4424.2.2.1']
Item: (plCdaDrugPrescriptionBodyAuthor)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.78']/hl7:assignedAuthor/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.3.4424.2.2.1']"
         id="tmp-r-c192b7c7-9cbc-482d-954a-028d7d4611b2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionBodyAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.2.2.1'">(plCdaDrugPrescriptionBodyAuthor): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.2.2.1'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugPrescriptionBodyAuthor): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="@extension">(plCdaDrugPrescriptionBodyAuthor): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.78-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaDrugPrescriptionBodyAuthor): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
</pattern>
