<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.35
Name: [4] Pielęgniarska skala oceny ADL
Description: Szablon CDA dla pielęgniarskiej skali oceny ADL
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000">
   <title>[4] Pielęgniarska skala oceny ADL</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]"
         id="tmp-r-6d9ca2d3-986e-418e-bf3e-0f3b867a89ae">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']"
         id="tmp-r-00bef3e7-7a62-4786-be94-e4980423df15">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaNursingAdlAssesmentEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingAdlAssesmentEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingAdlAssesmentEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'] | self::hl7:id | self::hl7:code[@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich' and @displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych'] | self::hl7:text | self::hl7:statusCode[@code='completed'] | self::hl7:effectiveTime | self::hl7:value[@code='10028224' or @code='10000956'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028708' or @code='10000987'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028333' or @code='10001046'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028322' or @code='10001005'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028314' or @code='10000994'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10029240' or @code='10001067'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028253' or @code='10000973'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')])&gt;=1 and not(hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028224' or @code='10000956'])&gt;=1 and not(hl7:value[@code='10028224' or @code='10000956']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028224' or @code='10000956'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028224' or @code='10000956'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028224' or @code='10000956'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028708' or @code='10000987'])&gt;=1 and not(hl7:value[@code='10028708' or @code='10000987']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028708' or @code='10000987'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028708' or @code='10000987'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028708' or @code='10000987'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028333' or @code='10001046'])&gt;=1 and not(hl7:value[@code='10028333' or @code='10001046']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028333' or @code='10001046'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028333' or @code='10001046'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028333' or @code='10001046'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028322' or @code='10001005'])&gt;=1 and not(hl7:value[@code='10028322' or @code='10001005']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028322' or @code='10001005'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028322' or @code='10001005'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028322' or @code='10001005'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028314' or @code='10000994'])&gt;=1 and not(hl7:value[@code='10028314' or @code='10000994']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028314' or @code='10000994'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028314' or @code='10000994'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028314' or @code='10000994'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10029240' or @code='10001067'])&gt;=1 and not(hl7:value[@code='10029240' or @code='10001067']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10029240' or @code='10001067'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10029240' or @code='10001067'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10029240' or @code='10001067'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028253' or @code='10000973'])&gt;=1 and not(hl7:value[@code='10028253' or @code='10000973']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028253' or @code='10000973'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028253' or @code='10000973'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028253' or @code='10000973'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35']"
         id="tmp-r-4e5b68f2-df88-43dd-a2e5-9315d3a08442">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.35'">(plCdaNursingAdlAssesmentEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.35'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:id
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:id"
         id="tmp-r-ce27ee3d-2d32-4adb-8677-0ae3c7bb7789">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')]"
         id="tmp-r-924c7851-e062-4c50-871b-78daee250efc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SADL' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:statusCode
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:statusCode"
         id="tmp-r-d19e62cc-ae3f-4406-9443-9f0061dda93d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:effectiveTime
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:effectiveTime"
         id="tmp-r-187dbc51-7cf8-456f-bf37-45a5e9604f3f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']"
         id="tmp-r-7a5d9359-d94e-4851-ba17-2f33d3ea0ab7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.40-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoKapieli Zdolność do kąpieli (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.40-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoKapieli Zdolność do kąpieli (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier"
         id="tmp-r-ed787254-9654-476e-a161-925014022378">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-3fc5818c-a181-4c0e-b11a-1119a81bcb33">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-ae453f79-2303-4e2d-9ad9-bd66b5a25393">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']"
         id="tmp-r-826e74eb-5abf-4349-b9ab-255d43492cbd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.41-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoHigienyOsobistej Zdolność do higieny osobistej (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.41-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoHigienyOsobistej Zdolność do higieny osobistej (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier"
         id="tmp-r-ad2fc722-9a88-4b12-b6f7-53af2aa3bf6c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-5e015ff9-d455-4330-919a-99b6f8a68c8b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-a96ffc50-c5e6-42ce-b018-ab970256b884">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']"
         id="tmp-r-ff9d2453-be7f-49be-89ca-4da21db3a105">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.42-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoChodzenia Zdolność do chodzenia (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.42-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoChodzenia Zdolność do chodzenia (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier"
         id="tmp-r-0d49ebcd-f065-46a1-9299-482e8cb705b4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-82252a77-9a30-48ee-83f7-105aaae1374b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-a0b8f1ed-c7f0-4592-9a52-96ec6b7877a4">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']"
         id="tmp-r-32ef0a3a-0df7-4a35-a532-b4e1899578c8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.43-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoWyjsciaDoToalety Zdolność do wyjścia do toalety (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.43-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoWyjsciaDoToalety Zdolność do wyjścia do toalety (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier"
         id="tmp-r-559b786d-54d1-41d2-b8cf-1797e47901bd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-31058828-cf12-4ac9-b623-46897985cbfc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-4f203bcc-b513-4363-bf47-e11a9a62b6c6">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']"
         id="tmp-r-fba79eda-9f43-434e-bf53-d5dc185935c2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.44-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscKorzystaniaZToalety Zdolność korzystania z toalety (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.44-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscKorzystaniaZToalety Zdolność korzystania z toalety (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier"
         id="tmp-r-f4556391-9e70-4df5-8fe3-3a06e056ce77">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-029ff541-c953-4206-a3ef-47e3fefd95c8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-d4a1fffc-2ff0-4246-9c4c-55d866e0ba75">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']"
         id="tmp-r-aa418e1e-a324-4c06-9a1a-3a8d329991af">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.45-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoPoruszaniaWLozku Zdolność do poruszania w łóżku (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.45-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoPoruszaniaWLozku Zdolność do poruszania w łóżku (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier"
         id="tmp-r-f1e87e2b-f33e-4c2f-8436-a291d8009f0f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-bfd32cbc-0701-4c2e-a741-a64653934c7b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-bd4aaae7-0793-4efe-b27e-d4a5cd2549fe">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']"
         id="tmp-r-c1644c0e-9645-4aed-bef3-75d74a0c8eb4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.46-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoJedzenia Zdolność do jedzenia (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.46-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoJedzenia Zdolność do jedzenia (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier"
         id="tmp-r-04e88211-3cb5-4197-af82-0eef7ef47d8e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-c241ec99-df09-4ab9-8402-2ea264a6b8a9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-e269d94b-e6ac-4aad-98fb-4079d2f3df01">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
</pattern>
