<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.12
Name: [4] Rozpoznanie choroby zawodowej
Description: Szablon CDA dla rozpoznania choroby zawodowej
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000">
   <title>[4] Rozpoznanie choroby zawodowej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]"
         id="tmp-r-ce839553-b59d-48b7-8776-1d9eb7e5c547">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12'])&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']"
         id="tmp-r-74f658da-f4d4-4e90-87f0-394b91577c8e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'] | self::hl7:observation)])">(plCdaOccupationalDiseaseDiagnosisEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie choroby zawodowej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12']/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'])&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']])&gt;=1 and not(hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']])&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12']
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.12']"
         id="tmp-r-1181b2a9-2ffd-4011-b2ce-fd7b4ba9ed3c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.12'">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.12'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]"
         id="tmp-r-0115a204-8cf3-4868-8658-5f3975eb075a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:code[@code and @displayName][@codeSystem='2.16.840.1.113883.3.4424.11.1.16'] | self::hl7:text | self::hl7:effetiveTime)])">(plCdaOccupationalDiseaseDiagnosisEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Rozpoznanie choroby zawodowej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']/@nullFlavor)">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16'])&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="count(hl7:effetiveTime)&lt;=1">(plCdaOccupationalDiseaseDiagnosisEntry): element hl7:effetiveTime występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']"
         id="tmp-r-7804cd74-d98e-4e6e-916c-d7dec6efc1ad">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOccupationalDiseaseDiagnosisEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.1.16')">(plCdaOccupationalDiseaseDiagnosisEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.1.16'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="@code">(plCdaOccupationalDiseaseDiagnosisEntry): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="@displayName">(plCdaOccupationalDiseaseDiagnosisEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaOccupationalDiseaseDiagnosisEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.12
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:effetiveTime
Item: (plCdaOccupationalDiseaseDiagnosisEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.12']/hl7:observation[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.16']]/hl7:effetiveTime"
         id="tmp-r-bac91d4a-eb14-4d83-ad01-4af14a918f8c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.12-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaOccupationalDiseaseDiagnosisEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
