<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.65
Name: [2] Imię ojca (rozszerzenie)
Description: Szablon rozszerzenia CDA dla imienia ojca
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000">
   <title>[2] Imię ojca (rozszerzenie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.65
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']
Item: (plExtFatherGivenName)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']"
         id="tmp-r-833550f1-7ab6-4008-a154-4ae10150609c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65']/@nullFlavor)">(plExtFatherGivenName): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65'])&lt;=1">(plExtFatherGivenName): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')])&gt;=1 and not(extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')]/@nullFlavor)">(plExtFatherGivenName): element extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')])&lt;=1">(plExtFatherGivenName): element extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:person)&gt;=1 and not(extPL:person/@nullFlavor)">(plExtFatherGivenName): element extPL:person jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:person)&lt;=1">(plExtFatherGivenName): element extPL:person występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.65
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65']
Item: (plExtFatherGivenName)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.65']"
         id="tmp-r-1a853ca9-3ab9-499c-97a7-37874a1e4e5a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtFatherGivenName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.65'">(plExtFatherGivenName): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.65'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtFatherGivenName): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.65
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')]
Item: (plExtFatherGivenName)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111')]"
         id="tmp-r-8821d400-d5b3-4de6-add3-d101cecc1aac">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtFatherGivenName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="@nullFlavor or (@code='FTH' and @codeSystem='2.16.840.1.113883.5.111' and @displayName='Father')">(plExtFatherGivenName): Wartość elementu MUSI wynosić code 'FTH' codeSystem '2.16.840.1.113883.5.111' displayName='Father'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.65
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:person
Item: (plExtFatherGivenName)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:person"
         id="tmp-r-1014795c-585a-41e0-96c5-6637247046d5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="string(@classCode)='PSN'">(plExtFatherGivenName): Wartość dla @classCode MUSI wynosić 'PSN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtFatherGivenName): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="not(./*[not(self::extPL:name)])">(plExtFatherGivenName): We fragmencie dokumentu zgodnym z szablonem "[2] Imię ojca (rozszerzenie)" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:name)&gt;=1 and not(extPL:name/@nullFlavor)">(plExtFatherGivenName): element extPL:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(extPL:name)&lt;=1">(plExtFatherGivenName): element extPL:name występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.65
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:person/extPL:name
Item: (plExtFatherGivenName)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:person/extPL:name"
         id="tmp-r-18edd39f-8eb3-42cd-bdf1-349b987ec6bb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtFatherGivenName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:EN", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:given)])">(plExtFatherGivenName): We fragmencie dokumentu zgodnym z szablonem "[2] Imię ojca (rozszerzenie)" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(plExtFatherGivenName): element hl7:given jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="count(hl7:given)&lt;=1">(plExtFatherGivenName): element hl7:given występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.65
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:person/extPL:name/hl7:given
Item: (plExtFatherGivenName)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.65']/extPL:person/extPL:name/hl7:given"
         id="tmp-r-de3b892a-9bc0-45d1-9592-5fe20df48c5e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.65-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtFatherGivenName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
