<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.79
Name: [4] Wydanie zamiennika leku
Description: Szablon CDA dla wydania zamiennika leku
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000">
   <title>[4] Wydanie zamiennika leku</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.79
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.79']]
Item: (plCdaDrugDispenseSupplySubstitutionEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.79
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.79']]/hl7:act[hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]]
Item: (plCdaDrugDispenseSupplySubstitutionEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.79']]/hl7:act[hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]]"
         id="tmp-r-154569c7-7ad2-44f6-b103-e78fc3c157b3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="string(@classCode)='ACT'">(plCdaDrugDispenseSupplySubstitutionEntry): Wartość dla @classCode MUSI wynosić 'ACT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugDispenseSupplySubstitutionEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaDrugDispenseSupplySubstitutionEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugDispenseSupplySubstitutionEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.79'][@root='2.16.840.1.113883.3.4424.13.10.4.79'] | self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2'][@root='1.3.6.1.4.1.19376.1.9.1.3.9.2'] | self::hl7:code[@code='E' and @codeSystem='2.16.840.1.113883.5.1070' and @codeSystemName='HL7 Substance Admin Substitution' and @displayName='equivalent'] | self::hl7:text | self::hl7:statusCode[@code='completed'])])">(plCdaDrugDispenseSupplySubstitutionEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Wydanie zamiennika leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.79'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.79']/@nullFlavor)">(plCdaDrugDispenseSupplySubstitutionEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.79'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.79'])&lt;=1">(plCdaDrugDispenseSupplySubstitutionEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.79'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2']/@nullFlavor)">(plCdaDrugDispenseSupplySubstitutionEntry): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2'])&lt;=1">(plCdaDrugDispenseSupplySubstitutionEntry): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="count(hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')])&gt;=1 and not(hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]/@nullFlavor)">(plCdaDrugDispenseSupplySubstitutionEntry): element hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="count(hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')])&lt;=1">(plCdaDrugDispenseSupplySubstitutionEntry): element hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaDrugDispenseSupplySubstitutionEntry): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaDrugDispenseSupplySubstitutionEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(plCdaDrugDispenseSupplySubstitutionEntry): element hl7:statusCode[@code='completed'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(plCdaDrugDispenseSupplySubstitutionEntry): element hl7:statusCode[@code='completed'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.79
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.79']]/hl7:act[hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]]/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.79']
Item: (plCdaDrugDispenseSupplySubstitutionEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.79']]/hl7:act[hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]]/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.79']"
         id="tmp-r-f3189d99-aeff-4af8-8a87-34a625f3ac9b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDispenseSupplySubstitutionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.79'">(plCdaDrugDispenseSupplySubstitutionEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.79'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugDispenseSupplySubstitutionEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.79
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.79']]/hl7:act[hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2']
Item: (plCdaDrugDispenseSupplySubstitutionEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.79']]/hl7:act[hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.9.2']"
         id="tmp-r-1a31707a-e460-4330-9137-b337494bc927">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDispenseSupplySubstitutionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.9.1.3.9.2'">(plCdaDrugDispenseSupplySubstitutionEntry): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.9.1.3.9.2'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugDispenseSupplySubstitutionEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.79
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.79']]/hl7:act[hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]]/hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]
Item: (plCdaDrugDispenseSupplySubstitutionEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.79']]/hl7:act[hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]]/hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]"
         id="tmp-r-34aee468-b3af-43b2-8418-299bb640faea">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDispenseSupplySubstitutionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="@nullFlavor or (@code='E' and @codeSystem='2.16.840.1.113883.5.1070' and @displayName='equivalent' and @codeSystemName='HL7 Substance Admin Substitution')">(plCdaDrugDispenseSupplySubstitutionEntry): Wartość elementu MUSI wynosić code 'E' codeSystem '2.16.840.1.113883.5.1070' displayName='equivalent' codeSystemName='HL7 Substance Admin Substitution'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.79
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.79']]/hl7:act[hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]]/hl7:statusCode[@code='completed']
Item: (plCdaDrugDispenseSupplySubstitutionEntry)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.79']]/hl7:act[hl7:code[(@code='E' and @codeSystem='2.16.840.1.113883.5.1070')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-c4ad75b3-6788-4dbf-bc5d-0d67c8659bb2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDispenseSupplySubstitutionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.79-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaDrugDispenseSupplySubstitutionEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
</pattern>
