<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.50
Name: [4] Dane pobytu szpitalnego na wypisie
Description: Szablon CDA dla danych pobytu szpitalnego na karcie informacyjnej leczenia szpitalnego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000">
   <title>[4] Dane pobytu szpitalnego na wypisie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]"
         id="tmp-r-345aecbd-d8cb-4956-aeb6-14ba76302061">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50'])&gt;=1 and not(hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/@nullFlavor)">(plCdaDischargeSummaryEncounterEntry): element hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50'])&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']"
         id="tmp-r-e56a8e2a-bd54-4cc4-845e-3fcc4a41c9d4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="string(@classCode)='ENC' or not(@classCode)">(plCdaDischargeSummaryEncounterEntry): Wartość dla @classCode MUSI wynosić 'ENC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDischargeSummaryEncounterEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaDischargeSummaryEncounterEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDischargeSummaryEncounterEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50']/@nullFlavor)">(plCdaDischargeSummaryEncounterEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50'])&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4']/@nullFlavor)">(plCdaDischargeSummaryEncounterEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'])&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(plCdaDischargeSummaryEncounterEntry): element hl7:effectiveTime jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50']
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.50']"
         id="tmp-r-489b5299-0102-4c91-9d06-f9154270f515">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.50'">(plCdaDischargeSummaryEncounterEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.50'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDischargeSummaryEncounterEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:id
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:id"
         id="tmp-r-4a84fc69-7030-4b50-8cc6-0ca1a4c37348">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4']
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4']"
         id="tmp-r-39c31e9d-2301-4680-b7f3-f0c789a47d2b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.4')">(plCdaDischargeSummaryEncounterEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.4'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="@code">(plCdaDischargeSummaryEncounterEntry): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaDischargeSummaryEncounterEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="@displayName">(plCdaDischargeSummaryEncounterEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaDischargeSummaryEncounterEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime"
         id="tmp-r-db8ef158-f05d-4260-be9a-916cf22dd212">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDischargeSummaryEncounterEntry): Atrybut @value MUSI być typu 'ts'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@nullFlavor) and not(hl7:low) and not(hl7:high) and not(concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date)">(plCdaDischargeSummaryEncounterEntry): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:low)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:low występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaDischargeSummaryEncounterEntry): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime/hl7:low
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime/hl7:low"
         id="tmp-r-8639a6a9-d965-4c01-94f1-bae61a85e108">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="@value">(plCdaDischargeSummaryEncounterEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDischargeSummaryEncounterEntry): Atrybut @value MUSI być typu 'ts'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaDischargeSummaryEncounterEntry): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime/hl7:high
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:effectiveTime/hl7:high"
         id="tmp-r-1ba6f575-8a44-439e-ab47-72d21dae8460">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="@value">(plCdaDischargeSummaryEncounterEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDischargeSummaryEncounterEntry): Atrybut @value MUSI być typu 'ts'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaDischargeSummaryEncounterEntry): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.50
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:priorityCode
Item: (plCdaDischargeSummaryEncounterEntry)
-->

   <rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']]/hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.50']/hl7:priorityCode"
         id="tmp-r-550ac693-82c5-47bc-bd10-2bc10c83fc19">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDischargeSummaryEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDischargeSummaryEncounterEntry): Wartość elementu MUSI wynosić PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.50-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDischargeSummaryEncounterEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE)</assert>
   </rule>
</pattern>
